<?
defined('BASEPATH') OR exit('No direct script access allowed');

class m_delivery extends CI_Model{

	// 생성자, 해당 모델이 생성될때 항상 실행되는 초기화작업
	function __construct(){
		parent::__construct();

        $this->load->database();
        $this->load->library('session');
	}

    #---------------------------------------------------------------------------
    # PURPOSE : count
    # CREATE  :	2018-03-06
    #---------------------------------------------------------------------------
	function delivery_where_content_type_content_idx_count($req_data){
        # request
	    $start_date         = $req_data['start_date'];
        $content_type       = $req_data['content_type'];
        $main_idx           = $req_data['main_idx'];

        $this->db->where('main_idx', $main_idx);
        $this->db->where('content_type', $content_type);
        $this->db->where('reg_date >=', $start_date);
        $this->db->where('is_del', 'N');
        $this->db->from('delivery');
        $row = $this->db->count_all_results();

        return $row;
    }

}
?>
